Bug 501871 - Can't Make Comments Because Captcha Triggers Blank Screen Error
Can't Make Comments Because Captcha Triggers Blank Screen Error
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gallery2 (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-21 03:52 EDT by Joel
Modified: 2009-06-15 22:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.3-12.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 22:44:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel 2009-05-21 03:52:48 EDT
Description of problem:

For some reason, captcha support messes up comments and after entering a comment in https mode and passing the captcha the gallery screen goes blank.

In the ssl error log are these lines:

[Wed May 20 22:41:55 2009] [error] [client 98.234.46.17] PHP Fatal error:  Class 'GalleryTranslator' not found in /usr/share/gallery2/modules/core/classes/GallerySession.class on line 780, referer: https://cryregarder.com/gallery2/main.php?g2_view=comment.AddComment&g2_itemId=33606&g2_return=%2Fgallery2%2Fmain.php%3Fg2_itemId%3D33606%26
[Wed May 20 22:42:20 2009] [error] [client 98.234.46.17] PHP Fatal error:  Class 'GalleryTranslator' not found in /usr/share/gallery2/modules/core/classes/GallerySession.class on line 780, referer: https://cryregarder.com/gallery2/main.php?g2_GALLERYSID=311d2f04132ead8c080b3e00cc1e3834
[Wed May 20 22:42:36 2009] [error] [client 98.234.46.17] PHP Fatal error:  Class 'GalleryTranslator' not found in /usr/share/gallery2/modules/core/classes/GallerySession.class on line 780, referer: https://cryregarder.com/gallery2/main.php?g2_GALLERYSID=311d2f04132ead8c080b3e00cc1e3834

A note about it is at the gallery site:

http://gallery.menalto.com/node/83873

Adding one line of code before line 780 fixes the problem:

GalleryCoreApi::requireOnce('modules/core/classes/GalleryTranslator.class');
Comment 1 Fedora Update System 2009-05-21 12:05:51 EDT
gallery2-2.3-11.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gallery2-2.3-11.fc10
Comment 2 Fedora Update System 2009-05-25 17:08:30 EDT
gallery2-2.3-11.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gallery2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5433
Comment 3 Fedora Update System 2009-05-27 12:36:47 EDT
gallery2-2.3-12.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gallery2-2.3-12.fc10
Comment 4 Fedora Update System 2009-05-28 03:59:29 EDT
gallery2-2.3-12.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gallery2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5545
Comment 5 Bug Zapper 2009-06-09 12:13:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora Update System 2009-06-15 22:43:58 EDT
gallery2-2.3-12.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.